Subject: Re: [xml2rfc] Conversion issues with new xnl2rfc

From: Alice Russo <[email-masked]>
Date: Fri, 24 May 2013 11:22:13 -0400

Yaacov,

In-line below.

On Apr 29, 2013, at 3:21 PM, Yaacov Weingarten wrote:
> Hi,
> 
> I am attaching three files for your consideration. 
> 1. draft-ietf-mpls-tp-ring-protection-06.xml - This is an XML version of a draft that I am converting to text format.
> 
> 2. draft-ietf-mpls-tp-ring-protection-06.txt - This is the resulting TXT file from the older xml2rfc tool.
> 
> 3. draft-ietf-mpls-tp-ring-protection-06-NEW.txt - This is the resulting TXT file from the new (beta) version of xml2rfc tool.
> 
> I would like to point out the following differences in the output that I observed:
> 1. In the author list - I do not have any company affiliation, and while in the older version tool this resulted in a blank line after my name, in the newer version this blank line is omitted, giving the impression that I work for Cisco.  I might note that this anomaly was reported earlier and according to the mailing list was marked as "solved"!

Reported as http://trac.tools.ietf.org/tools/xml2rfc/trac/ticket/108
which is marked as fixed; I assume the fix will be in the next release.

> 
> 2. Whereas the old version seems to have a definition to keep figures together on one page (as can be seen in Figure 6 that is pushed over to the next page rather than break it across the pages), the new version has a tendency to break them across page boundaries - as can be seen in Figures 3 & 4.

Reported as http://trac.tools.ietf.org/tools/xml2rfc/trac/ticket/172

> 
> 3. The table that is defined in the XML file at line 1029 is displayed properly in the old version txt file (starting at line 1068) but the columns lost their alignment in the new version (starting at line 1012).

This did not seem to be reported. Added as http://trac.tools.ietf.org/tools/xml2rfc/trac/ticket/173

> 
> 4. There are two tables defined in the XML file at lines 959 and 966 that were designed to give the impression that there are two (centered) preambles to the data.  This worked fine with the old version (line 1012), but extra lines are added in the new version (line 957) slightly ruining the effect.

This did not seem to be reported. Added as
http://trac.tools.ietf.org/tools/xml2rfc/trac/ticket/174

> 
> 5. There are two instances where a table is broken across page breaks in the new version that are not broken in the old version. Although this may just be an accumulation of the different number of lines per page in the new version file and not by design.

Seems to relate to http://trac.tools.ietf.org/tools/xml2rfc/trac/ticket/172
so added a comment that it applies to tables as well.

Thanks for the testing,

Alice Russo
RFC Production Center

> 
> I would appreciate receiving your feedback, not through the mailing list as I am not subscribed.
> 
> Thanx and BR,
> yaacov weingarten 
> 
> -- 
> Thanx and BR,
> yaacov
> 
> Still looking for new opportunity
> 
> 
> 
> -- 
> Thanx and BR,
> yaacov
> 
> Still looking for new opportunity
> <draft-ietf-mpls-tp-ring-protection-06.txt><draft-ietf-mpls-tp-ring-protection-06.xml><draft-ietf-mpls-tp-ring-protection-06-NEW.txt>_______________________________________________
> xml2rfc mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/xml2rfc